Fixes problems with Java 17 for mocks in different modules.
Also fixes the source jar that was empty.

Change log
----------
* EasyMock HEAD build fails on JDK21  ([#442](https://github.com/easymock/easymock/issues/442))
* Error running tests after Java upgrade to IBM Semeru jdk-17.0.6+10 (from jdk1.8.0_311.jdk) ([#393](https://github.com/easymock/easymock/issues/393))
* LinkageError when mocking certain classes ([#373](https://github.com/easymock/easymock/issues/373))
* pom file error: the source.jar is not deployed correctly to maven ([#369](https://github.com/easymock/easymock/issues/369))
* Can't mock methods called from the constructor of a partial mock ([#358](https://github.com/easymock/easymock/issues/358))
* Partial mocking Swing components in EasyMock 5.1.0 ([#356](https://github.com/easymock/easymock/issues/356))
* java.lang.NoSuchMethodException on mock(Timestamp.class) ([#256](https://github.com/easymock/easymock/issues/256))
* Bump com.puppycrawl.tools:checkstyle from 10.12.2 to 10.12.3 ([#461](https://github.com/easymock/easymock/pull/461))
* Bump net.bytebuddy:byte-buddy from 1.14.6 to 1.14.7 ([#460](https://github.com/easymock/easymock/pull/460))
* Bump org.apache.maven.plugins:maven-enforcer-plugin from 3.3.0 to 3.4.0 ([#458](https://github.com/easymock/easymock/pull/458))
* Bump net.bytebuddy:byte-buddy from 1.14.5 to 1.14.6 ([#457](https://github.com/easymock/easymock/pull/457))
* Bump commonmarker from 0.23.9 to 0.23.10 in /website ([#454](https://github.com/easymock/easymock/pull/454))
* Bump jmh.version from 1.36 to 1.37 ([#452](https://github.com/easymock/easymock/pull/452))
* Bump com.puppycrawl.tools:checkstyle from 10.12.1 to 10.12.2 ([#450](https://github.com/easymock/easymock/pull/450))
* Bump junit.jupiter.version from 5.9.3 to 5.10.0 ([#449](https://github.com/easymock/easymock/pull/449))
* Bump depends-maven-plugin from 1.4.0 to 1.5.0 ([#447](https://github.com/easymock/easymock/pull/447))
* Bump checkstyle from 10.12.0 to 10.12.1 ([#446](https://github.com/easymock/easymock/pull/446))
* Bump maven-clean-plugin from 3.2.0 to 3.3.1 ([#445](https://github.com/easymock/easymock/pull/445))
* Bump spotbugs-maven-plugin from 4.7.3.4 to 4.7.3.5 ([#444](https://github.com/easymock/easymock/pull/444))
* Bump maven-shade-plugin from 3.4.1 to 3.5.0 ([#443](https://github.com/easymock/easymock/pull/443))
* Bump surefire-testng from 3.1.0 to 3.1.2 ([#440](https://github.com/easymock/easymock/pull/440))
* Bump versions-maven-plugin from 2.15.0 to 2.16.0 ([#439](https://github.com/easymock/easymock/pull/439))
* Bump maven-project-info-reports-plugin from 3.4.4 to 3.4.5 ([#438](https://github.com/easymock/easymock/pull/438))
* Bump maven-surefire-plugin from 3.1.0 to 3.1.2 ([#437](https://github.com/easymock/easymock/pull/437))
* Bump surefire-junit-platform from 3.1.0 to 3.1.2 ([#436](https://github.com/easymock/easymock/pull/436))
* Bump byte-buddy from 1.14.4 to 1.14.5 ([#435](https://github.com/easymock/easymock/pull/435))
* Bump maven-project-info-reports-plugin from 3.4.3 to 3.4.4 ([#434](https://github.com/easymock/easymock/pull/434))
* Bump checkstyle from 10.11.0 to 10.12.0 ([#433](https://github.com/easymock/easymock/pull/433))
* Bump maven-dependency-plugin from 3.5.0 to 3.6.0 ([#432](https://github.com/easymock/easymock/pull/432))
* Bump maven-checkstyle-plugin from 3.2.2 to 3.3.0 ([#431](https://github.com/easymock/easymock/pull/431))
* Bump maven-source-plugin from 3.2.1 to 3.3.0 ([#429](https://github.com/easymock/easymock/pull/429))
* Bump maven-bundle-plugin from 5.1.8 to 5.1.9 ([#428](https://github.com/easymock/easymock/pull/428))
* Bump maven-pmd-plugin from 3.20.0 to 3.21.0 ([#427](https://github.com/easymock/easymock/pull/427))
* Bump maven-assembly-plugin from 3.5.0 to 3.6.0 ([#426](https://github.com/easymock/easymock/pull/426))
* Bump maven-remote-resources-plugin from 3.0.0 to 3.1.0 ([#425](https://github.com/easymock/easymock/pull/425))
* Bump build-helper-maven-plugin from 3.3.0 to 3.4.0 ([#424](https://github.com/easymock/easymock/pull/424))
* Bump checkstyle from 10.10.0 to 10.11.0 ([#423](https://github.com/easymock/easymock/pull/423))
* Bump maven-surefire-plugin from 3.0.0 to 3.1.0 ([#422](https://github.com/easymock/easymock/pull/422))
* Bump maven-gpg-plugin from 3.0.1 to 3.1.0 ([#421](https://github.com/easymock/easymock/pull/421))
* Bump surefire-testng from 3.0.0 to 3.1.0 ([#420](https://github.com/easymock/easymock/pull/420))
* Bump surefire-junit-platform from 3.0.0 to 3.1.0 ([#419](https://github.com/easymock/easymock/pull/419))
* Bump junit.jupiter.version from 5.9.2 to 5.9.3 ([#418](https://github.com/easymock/easymock/pull/418))
* Bump checkstyle from 10.9.3 to 10.10.0 ([#417](https://github.com/easymock/easymock/pull/417))
* Bump jacoco-maven-plugin from 0.8.9 to 0.8.10 ([#416](https://github.com/easymock/easymock/pull/416))
* Bump maven-checkstyle-plugin from 3.2.1 to 3.2.2 ([#414](https://github.com/easymock/easymock/pull/414))
* Bump maven-project-info-reports-plugin from 3.4.2 to 3.4.3 ([#413](https://github.com/easymock/easymock/pull/413))
* Bump nokogiri from 1.14.2 to 1.14.3 in /website ([#412](https://github.com/easymock/easymock/pull/412))
* Bump commonmarker from 0.23.8 to 0.23.9 in /website ([#411](https://github.com/easymock/easymock/pull/411))
* Bump spotbugs-maven-plugin from 4.7.3.3 to 4.7.3.4 ([#410](https://github.com/easymock/easymock/pull/410))
* Bump byte-buddy from 1.14.3 to 1.14.4 ([#409](https://github.com/easymock/easymock/pull/409))
* Bump maven-enforcer-plugin from 3.2.1 to 3.3.0 ([#408](https://github.com/easymock/easymock/pull/408))
* Bump jacoco-maven-plugin from 0.8.8 to 0.8.9 ([#407](https://github.com/easymock/easymock/pull/407))
* Bump byte-buddy from 1.14.2 to 1.14.3 ([#406](https://github.com/easymock/easymock/pull/406))
* Bump checkstyle from 10.9.2 to 10.9.3 ([#405](https://github.com/easymock/easymock/pull/405))
* Bump asm from 9.4 to 9.5 ([#404](https://github.com/easymock/easymock/pull/404))
* Bump maven-deploy-plugin from 3.1.0 to 3.1.1 ([#403](https://github.com/easymock/easymock/pull/403))
* Bump animal-sniffer-maven-plugin from 1.22 to 1.23 ([#402](https://github.com/easymock/easymock/pull/402))
* Bump maven-install-plugin from 3.1.0 to 3.1.1 ([#401](https://github.com/easymock/easymock/pull/401))
* Bump maven-resources-plugin from 3.3.0 to 3.3.1 ([#400](https://github.com/easymock/easymock/pull/400))
* Bump license-maven-plugin from 4.1 to 4.2 ([#399](https://github.com/easymock/easymock/pull/399))
* Bump spotbugs-maven-plugin from 4.7.3.2 to 4.7.3.3 ([#398](https://github.com/easymock/easymock/pull/398))
* Bump checkstyle from 10.9.1 to 10.9.2 ([#397](https://github.com/easymock/easymock/pull/397))
* Bump checkstyle from 10.8.1 to 10.9.1 ([#396](https://github.com/easymock/easymock/pull/396))
* Bump logback-classic from 1.3.5 to 1.4.6 ([#394](https://github.com/easymock/easymock/pull/394))
* Bump surefire-testng from 3.0.0-M9 to 3.0.0 ([#392](https://github.com/easymock/easymock/pull/392))
* Bump surefire-junit-platform from 3.0.0-M9 to 3.0.0 ([#391](https://github.com/easymock/easymock/pull/391))
* Bump maven-surefire-plugin from 3.0.0-M9 to 3.0.0 ([#390](https://github.com/easymock/easymock/pull/390))
* Bump byte-buddy from 1.14.1 to 1.14.2 ([#389](https://github.com/easymock/easymock/pull/389))
* Bump checkstyle from 10.8.0 to 10.8.1 ([#388](https://github.com/easymock/easymock/pull/388))
* Bump byte-buddy from 1.14.0 to 1.14.1 ([#387](https://github.com/easymock/easymock/pull/387))
* Bump maven-compiler-plugin from 3.10.1 to 3.11.0 ([#386](https://github.com/easymock/easymock/pull/386))
* Bump checkstyle from 10.7.0 to 10.8.0 ([#385](https://github.com/easymock/easymock/pull/385))
* Bump spotbugs-maven-plugin from 4.7.3.0 to 4.7.3.2 ([#384](https://github.com/easymock/easymock/pull/384))
* Bump maven-assembly-plugin from 3.4.2 to 3.5.0 ([#383](https://github.com/easymock/easymock/pull/383))
* Bump versions-maven-plugin from 2.14.2 to 2.15.0 ([#382](https://github.com/easymock/easymock/pull/382))
* Bump byte-buddy from 1.13.0 to 1.14.0 ([#381](https://github.com/easymock/easymock/pull/381))
* Bump maven-javadoc-plugin from 3.4.1 to 3.5.0 ([#379](https://github.com/easymock/easymock/pull/379))
* Bump surefire-junit-platform from 3.0.0-M8 to 3.0.0-M9 ([#378](https://github.com/easymock/easymock/pull/378))
* Bump surefire-testng from 3.0.0-M8 to 3.0.0-M9 ([#377](https://github.com/easymock/easymock/pull/377))
* Bump maven-surefire-plugin from 3.0.0-M8 to 3.0.0-M9 ([#376](https://github.com/easymock/easymock/pull/376))
* Bump byte-buddy from 1.12.23 to 1.13.0 ([#375](https://github.com/easymock/easymock/pull/375))
* Bump maven-deploy-plugin from 3.0.0 to 3.1.0 ([#374](https://github.com/easymock/easymock/pull/374))
* Bump byte-buddy from 1.12.22 to 1.12.23 ([#372](https://github.com/easymock/easymock/pull/372))
* Bump maven-enforcer-plugin from 3.1.0 to 3.2.1 ([#371](https://github.com/easymock/easymock/pull/371))
* Bump checkstyle from 10.6.0 to 10.7.0 ([#370](https://github.com/easymock/easymock/pull/370))
* Bump maven-pmd-plugin from 3.19.0 to 3.20.0 ([#367](https://github.com/easymock/easymock/pull/367))
* Bump byte-buddy from 1.12.21 to 1.12.22 ([#366](https://github.com/easymock/easymock/pull/366))
* Bump surefire-junit-platform from 3.0.0-M7 to 3.0.0-M8 ([#365](https://github.com/easymock/easymock/pull/365))
* Bump surefire-testng from 3.0.0-M7 to 3.0.0-M8 ([#364](https://github.com/easymock/easymock/pull/364))
* Bump maven-dependency-plugin from 3.4.0 to 3.5.0 ([#363](https://github.com/easymock/easymock/pull/363))
* Bump maven-surefire-plugin from 3.0.0-M7 to 3.0.0-M8 ([#362](https://github.com/easymock/easymock/pull/362))
* Bump maven-checkstyle-plugin from 3.2.0 to 3.2.1 ([#361](https://github.com/easymock/easymock/pull/361))
* Bump maven-project-info-reports-plugin from 3.4.1 to 3.4.2 ([#360](https://github.com/easymock/easymock/pull/360))
* Bump junit.jupiter.version from 5.9.1 to 5.9.2 ([#359](https://github.com/easymock/easymock/pull/359))
* Bump byte-buddy from 1.12.20 to 1.12.21 ([#357](https://github.com/easymock/easymock/pull/357))
* Bump checkstyle from 10.5.0 to 10.6.0 ([#355](https://github.com/easymock/easymock/pull/355))
